import { FernIr } from '@fern-api/dynamic-ir-sdk';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-4_I0JAlU.cjs';
import '@fern-api/browser-compatible-base-generator';
import '@fern-api/python-ast';
import '@fern-api/python-browser-compatible-base';

declare class EndpointSnippetGenerator {
    private context;
    constructor({ context }: {
        context: DynamicSnippetsGeneratorContext;
    });
    generateSnippet({ endpoint, request }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
    }): Promise<string>;
    generateSnippetSync({ endpoint, request }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
    }): string;
    private buildPythonFile;
    private constructClient;
    private getConstructorArgs;
    private getConstructorEnvironmentArgs;
    private getEnvironmentValue;
    private getConstructorAuthArgs;
    private getConstructorBasicAuthArg;
    private getConstructorBearerAuthArgs;
    private getConstructorHeaderAuthArgs;
    private getConstructorOAuthArgs;
    private getConstructorHeaderArgs;
    private getConstructorHeaderArg;
    private callMethod;
    private getMethodArgs;
    private getMethodArgsForBodyRequest;
    private getBodyRequestArgs;
    private getBodyRequestArgsForTypeReference;
    private getBodyRequestArgsForNamedTypeReference;
    private getBodyRequestArgsForBytes;
    private getBytesBodyRequestTypeInstantiation;
    private getMethodArgsForInlinedRequest;
    private getFilePropertyInfo;
    private getInlinedRequestArgs;
    private getInlinedRequestBodyObjectFields;
    private getFileUploadRequestBodyObjectFields;
    private getReferencedRequestBodyPropertyTypeInstantiation;
    private getInlinedRequestBodyPropertyObjectFields;
    private getPathParameters;
    private getMethod;
    private getEnvironmentOptionName;
}

export { EndpointSnippetGenerator };
